Package org.codehaus.classworlds

## Class ClassRealmAdapter

- java.lang.Object
- - org.codehaus.classworlds.ClassRealmAdapter

All Implemented Interfaces:
  `ClassRealm`

    @Deprecated
    public class ClassRealmAdapter
    extends java.lang.Object
    implements ClassRealm

Deprecated.
An adapter for ClassRealms

Author:
  Andrew Williams

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`void` `addConstituent​(java.net.URL constituent)` Deprecated.
`ClassRealm` `createChildRealm​(java.lang.String id)` Deprecated.
`void` `display()` Deprecated.
`boolean` `equals​(java.lang.Object o)` Deprecated.
`java.util.Enumeration` `findResources​(java.lang.String name)` Deprecated.
`java.lang.ClassLoader` `getClassLoader()` Deprecated.
`java.net.URL[]` `getConstituents()` Deprecated.
`java.lang.String` `getId()` Deprecated.
`static ClassRealmAdapter` `getInstance​(ClassRealm newRealm)` Deprecated.
`ClassRealm` `getParent()` Deprecated.
`ClassRealm` `getParentRealm()` Deprecated.
`java.net.URL` `getResource​(java.lang.String name)` Deprecated.
`java.io.InputStream` `getResourceAsStream​(java.lang.String name)` Deprecated.
`ClassWorld` `getWorld()` Deprecated.
`void` `importFrom​(java.lang.String realmId, java.lang.String pkgName)` Deprecated.
`java.lang.Class` `loadClass​(java.lang.String name)` Deprecated.
`ClassRealm` `locateSourceRealm​(java.lang.String className)` Deprecated.
`void` `setParent​(ClassRealm classRealm)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static ClassRealmAdapter getInstance​(ClassRealm newRealm)

Deprecated.

#### getId

    public java.lang.String getId()

Deprecated.

Specified by:
  `getId` in interface `ClassRealm`

#### getWorld

    public ClassWorld getWorld()

Deprecated.

Specified by:
  `getWorld` in interface `ClassRealm`

#### importFrom

    public void importFrom​(java.lang.String realmId,
                           java.lang.String pkgName)
                    throws NoSuchRealmException

Deprecated.

Specified by:
  `importFrom` in interface `ClassRealm`
Throws:
  `NoSuchRealmException`

#### addConstituent

    public void addConstituent​(java.net.URL constituent)

Deprecated.

Specified by:
  `addConstituent` in interface `ClassRealm`

#### locateSourceRealm

    public ClassRealm locateSourceRealm​(java.lang.String className)

Deprecated.

Specified by:
  `locateSourceRealm` in interface `ClassRealm`

#### setParent

    public void setParent​(ClassRealm classRealm)

Deprecated.

Specified by:
  `setParent` in interface `ClassRealm`

#### createChildRealm

    public ClassRealm createChildRealm​(java.lang.String id)
                                throws DuplicateRealmException

Deprecated.

Specified by:
  `createChildRealm` in interface `ClassRealm`
Throws:
  `DuplicateRealmException`

#### getClassLoader

    public java.lang.ClassLoader getClassLoader()

Deprecated.

Specified by:
  `getClassLoader` in interface `ClassRealm`

#### getParent

    public ClassRealm getParent()

Deprecated.

Specified by:
  `getParent` in interface `ClassRealm`

#### getParentRealm

    public ClassRealm getParentRealm()

Deprecated.

#### getConstituents

    public java.net.URL[] getConstituents()

Deprecated.

Specified by:
  `getConstituents` in interface `ClassRealm`

#### loadClass

    public java.lang.Class loadClass​(java.lang.String name)
                              throws java.lang.ClassNotFoundException

Deprecated.

Specified by:
  `loadClass` in interface `ClassRealm`
Throws:
  `java.lang.ClassNotFoundException`

#### getResource

    public java.net.URL getResource​(java.lang.String name)

Deprecated.

Specified by:
  `getResource` in interface `ClassRealm`

#### findResources

    public java.util.Enumeration findResources​(java.lang.String name)
                                        throws java.io.IOException

Deprecated.

Specified by:
  `findResources` in interface `ClassRealm`
Throws:
  `java.io.IOException`

#### getResourceAsStream

    public java.io.InputStream getResourceAsStream​(java.lang.String name)

Deprecated.

Specified by:
  `getResourceAsStream` in interface `ClassRealm`

#### display

    public void display()

Deprecated.

Specified by:
  `display` in interface `ClassRealm`

#### equals

    public boolean equals​(java.lang.Object o)

Deprecated.

Overrides:
  `equals` in class `java.lang.Object`